@page
@model WebApp.Pages_Expenses.DetailsModel

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>Expense</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Expense.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Expense.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Expense.Cost)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Expense.Cost)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Expense.Description)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Expense.Description)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Expense.Car)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Expense.Car!.RegistrationNumber)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Expense.ExpenseCategory)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Expense.ExpenseCategory!.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Expense.Time)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Expense.Time)
        </dd>
    </dl>
</div>
<div>
    <a asp-page="./Edit" asp-route-id="@Model.Expense.ExpenseId">Edit</a> |
    <a asp-page="./Index">Back to List</a>
</div>
